Victoria Series Release Notes

17.3.0

New Features

  • Add mysql_enable_ndb parameter to select mysql storage engine.

  • Adding support for PowerFlex cinder driver.

Deprecation Notes

  • Support for Veritas HyperScale Block Stoage driver has been deprecated and will be removed in a future release.

  • VxFlexOS is rebranded to Powerflex. cinder::backend::dellemc_vxflexos is deprecated and will be removed in W-Release. Use rebranded resource cinder::backend::dellemc_powerflex.

Bug Fixes

  • Now the cinder::nova class set credential parameters like username even if auth_type is not password. This fixes the problem with the other auth_type value like v3password.

17.2.0

New Features

  • The new cinder::keystone::authtoken::interface parameter has been added, which can be used to set the interface parameter in authtoken middleware.

  • Add Dell EMC PowerStore backend cinder driver support

Upgrade Notes

  • The cinder::ceilometer class is removed, set the parameters in the cinder class directly instead.

Deprecation Notes

  • Cinder’s Key Manager parameters have moved from cinder::api to the cinder class. The following parameters are deprecated: * cinder::api::keymgr_backend * cinder::api::keymgr_encryption_api_url * cinder::api::keymgr_encryption_auth_url They are replaced by the following new parameters: * cinder::keymgr_backend * cinder::keymgr_encryption_api_url * cinder::keymgr_encryption_auth_url

Bug Fixes

  • Cinder’s Key Manager parameters are no longer associated with just the cinder-api service. The parameters are always configured so that the cinder-volume and cinder-backup services can also access the Key Manager. Fixes bug 1886081 <https://bugs.launchpad.net/puppet-cinder/+bug/1886081>

17.1.0

New Features

  • Added parameters for advanced configuration of httpd access and error log destinations including piped logging and syslog (see mod_syslog). Note that mod_syslog requires Apache2 >= 2.5.0.

  • Added support for VxFlexOS backend driver

Deprecation Notes

  • Support for GlusterFS volume driver has been deprecated and will be removed in a future release.

  • The support for HPE Lefthand driver has been deprecated and will be removed in a future release, in favor of removal of Lefthand driver from cinder.

  • Support for Nexenta Edge Driver has been deprecated and will be removed in a future release.

  • cinder::backend:scaleio is deprecated and will be removed in the W-release, use new resource cinder::backend::dellemc_vxflexos instead.